/*-
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2021 Huawei
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*

 * @file mqm-defaults.h
 */

#pragma once

#include <glib.h>

G_BEGIN_DECLS

#define MQM_VERSION "@GIT_SHA1@"
#define MQM_CONFIG_DIRECTORY "@CONFDIR@"
#define MQM_INSTALL_PREFIX "@CMAKE_INSTALL_PREFIX@"

#ifndef MQM_CONFIG_FILE_NAME
#define MQM_CONFIG_FILE_NAME "mqttmanager.conf"
#endif

#ifndef MQM_BROKER_ADDRESS
#define MQM_BROKER_ADDRESS "localhost"
#endif

#ifndef MQM_BROKER_PORT
#define MQM_BROKER_PORT (1883)
#endif

G_END_DECLS
